Page MenuHomePhabricator

When pressing enter/return, file caption input text boxes should not add a newline
Closed, ResolvedPublic

Description

Current situation:

The text description for the multilingual file caption instructs the user to add a "one-line explanation of what this file represents", yet the input boxes allow multi-line input when the user hits Enter.

Desired update:
On File page, enter/return should "submit" the edit (equivalent to clicking on the Publish Changes button)

On UploadWizard, enter/return should move focus to the next input field.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 9 2019, 3:38 AM
Ramsey-WMF triaged this task as Medium priority.Jan 9 2019, 3:39 AM
Restricted Application added a project: Multimedia. · View Herald TranscriptJan 9 2019, 3:39 AM
Ramsey-WMF moved this task from Untriaged to Triaged on the Multimedia board.Jan 9 2019, 3:39 AM
Ramsey-WMF edited subscribers, added: matthiasmullie, PDrouin-WMF; removed: Aklapper.

Change 483161 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/UploadWizard@master] Use single-line TextInputWidget instead of MultilineTextInputWidget for captions

https://gerrit.wikimedia.org/r/483161

Change 483162 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Use single-line TextInputWidget instead of MultilineTextInputWidget for captions

https://gerrit.wikimedia.org/r/483162

Jdforrester-WMF moved this task from To Do to Doing on the Structured Data Engineering board.
Jdforrester-WMF added a subscriber: Cparle.

I have 2 patches in to change these textareas to regular text inputs, but have not yet made "enter/return" change focus to the next element in UW.
That's an unusual UX concept in default browser handling of default form elements, and across how OOUI forms are implemented in wiki.
Do we still want enter/return to focus the next element? (it wouldn't be too hard to do, just want to reconfirm we want to introduce this behavior)

Change 483161 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Use single-line TextInputWidget instead of MultilineTextInputWidget for captions

https://gerrit.wikimedia.org/r/483161

This feedback is great - we may want to consider changing the UI text from "Add a one-line explanation of what this file represents" to "One-sentence" to disambiguate sentence from actual input box lines. @Jdforrester-WMF suggests seeing how this plays out after launch before making lots of small changes though.

Do we still want enter/return to focus the next element? (it wouldn't be too hard to do, just want to reconfirm we want to introduce this behavior)

@matthiasmullie we can hold off on that for now. I do think it'll come up again later, but we have bigger issues to tackle at the moment :)

Change 483162 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Use single-line TextInputWidget instead of MultilineTextInputWidget for captions

https://gerrit.wikimedia.org/r/483162

Jdforrester-WMF removed a project: Patch-For-Review.

Will be on Beta Cluster in a few minutes' time, and will roll out to production next week.

Change 483366 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/UploadWizard@master] Change copy to better indicate what kind of input we expect

https://gerrit.wikimedia.org/r/483366

Will be deployed next week (Test Commons on 2019-01-15, Real Commons on 2019-01-16).

Ramsey-WMF closed this task as Resolved.Jan 17 2019, 8:43 PM

Confirmed working on production.

Change 483366 abandoned by Jforrester:
Change copy to better indicate what kind of input we expect

Reason:
The sibling patch, I41a6a5502, was abandoned.

https://gerrit.wikimedia.org/r/483366